#pragma once
#include <map>
struct M_ActivitySummerLuckDrawCFGData
{
	//编号
	int mID;
	//生肖抽奖消耗
	int mRaffleConsumption1;
	//幸运抽奖消耗
	int mRaffleConsumption2;
	//触发1档需要次数
	int mTriggerBottom;
	//保底1挡次数
	int mBottomGuard1;
	//保底2挡次数
	int mBottomGuard2;
	//保底3挡次数
	int mBottomGuard3;
	//消耗ID
	int mConsumeID;
};

class M_ActivitySummerLuckDrawCFG
{
public:
private:
	static std::auto_ptr<M_ActivitySummerLuckDrawCFG> msSingleton;
public:
	int GetCount();
	const M_ActivitySummerLuckDrawCFGData* GetData(int ID);
	const std::map<int, M_ActivitySummerLuckDrawCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivitySummerLuckDrawCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivitySummerLuckDrawCFGData> mMapData;
};
